Skip to main content
GET
https://api.keyport.sbs
/
api
/
v1
/
license
/
{key}
Look up a license by key
curl --request GET \
  --url https://api.keyport.sbs/api/v1/license/{key} \
  --header 'Authorization: Bearer <token>'
{
  "id": "license_uuid",
  "organization_id": "org_uuid",
  "product_id": "product_uuid",
  "global_customer_id": "customer_uuid",
  "license_key": "ABCD-EFGH-IJKL-MNOP",
  "status": "active",
  "expires_at": null,
  "is_lifetime": true,
  "ip_system_enabled": true,
  "max_ips": 1,
  "current_unique_ip_count": 1,
  "notes": null,
  "version_pin_mode": null,
  "version_pinned": null,
  "version_range_min": null,
  "version_range_max": null,
  "revoked_at": null,
  "created_at": "2026-04-07T00:00:00.000Z",
  "updated_at": "2026-04-07T00:00:00.000Z",
  "customer_email": "customer@example.com",
  "customer_name": "Example Customer",
  "customer_discord_id": null
}

Authorizations

Authorization
string
header
required

Use your product API key in the Authorization header.

Path Parameters

key
string
required
Example:

"ABCD-EFGH-IJKL-MNOP"

Response

License details returned successfully.

id
string
Example:

"license_uuid"

organization_id
string
Example:

"org_uuid"

product_id
string
Example:

"product_uuid"

global_customer_id
string | null
Example:

"customer_uuid"

license_key
string
Example:

"ABCD-EFGH-IJKL-MNOP"

status
string
Example:

"active"

expires_at
string<date-time> | null
Example:

null

is_lifetime
boolean
Example:

true

ip_system_enabled
boolean
Example:

true

max_ips
integer | null
Example:

1

current_unique_ip_count
integer
Example:

1

notes
string | null
Example:

null

version_pin_mode
string | null
Example:

null

version_pinned
string | null
Example:

null

version_range_min
string | null
Example:

null

version_range_max
string | null
Example:

null

revoked_at
string<date-time> | null
Example:

null

created_at
string<date-time>
Example:

"2026-04-07T00:00:00.000Z"

updated_at
string<date-time>
Example:

"2026-04-07T00:00:00.000Z"

customer_email
string | null
Example:

"customer@example.com"

customer_name
string | null
Example:

"Example Customer"

customer_discord_id
string | null
Example:

null